E-MailRelay

Public Member Functions | List of all members
GNet::ExceptionSource Class Reference

A mixin base class that identifies the source of an exception when delivered to GNet::ExceptionHandler and optionally provides an indentifier for logging purposes. More...

`#include <gexceptionsource.h>`

Inheritance diagram for GNet::ExceptionSource:

## Public Member Functions
virtual std::string | exceptionSourceId () const
| Returns an identifying string for logging purposes, or the empty string. More...
virtual | ~ExceptionSource ()
| Destructor. More...
| ExceptionSource (const ExceptionSource &)=delete
| ExceptionSource (ExceptionSource &&)=delete
void | operator= (const ExceptionSource &)=delete
void | operator= (ExceptionSource &&)=delete

## Detailed Description

A mixin base class that identifies the source of an exception when delivered to GNet::ExceptionHandler and optionally provides an indentifier for logging purposes.

The primary motivation is to allow a Server to manage its ServerPeer list when one of them throws an exception.

Definition at line 39 of file gexceptionsource.h.

## Constructor & Destructor Documentation

## ◆ ~ExceptionSource()

GNet::ExceptionSource::~ExceptionSource | ( |  | ) |
| virtual

Destructor.

Definition at line 30 of file gexceptionsource.cpp.

## Member Function Documentation

## ◆ exceptionSourceId()

std::string GNet::ExceptionSource::exceptionSourceId | ( |  | ) | const
| virtual

Returns an identifying string for logging purposes, or the empty string.

This typically provides the remote peer's network address.

Definition at line 25 of file gexceptionsource.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gexceptionsource.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gexceptionsource.cpp